Skip to main content
`Ctrl`+`K`

# ECSVEnginePyArrow

class astropy.io.misc.ecsv.ECSVEnginePyArrow

  Bases: `ECSVEngine`

  ECSV reader engine using PyArrow.

  Attributes Summary

  `format` |
  `name` |

  Methods Summary

  `convert_np_type`(np_type) | Convert a numpy type string to engine-specific type for parsing.
  `get_data_kwargs`(header, null_values) | Generate a dictionary of keyword arguments for data parsing.

  Attributes Documentation

  format = 'pyarrow.csv'
  name = 'pyarrow'

  Methods Documentation

  convert_np_type(np_type)

    Convert a numpy type string to engine-specific type for parsing.

    For instance, for pandas the `"int32"` numpy type gets converted to an `Int32Dtype()` instance to read columns as a nullable int32.

    Parameters:
      np_type `python:str`

        The numpy type string to be converted.

    Returns:
      `Any`

        Corresponding engine-specific type.

  get_data_kwargs(header, null_values)

    Generate a dictionary of keyword arguments for data parsing.

    This accounts for the API variations in each engine CSV reader.

    Parameters:
      header `ECSVHeader`

        ECSVHeader object within header information.

      null_values `python:list` of `python:str`

        List of strings with values to be interpreted as null or missing data.

    Returns:
      `python:dict`[`python:str`, `Any`]

        Dict of keyword arguments to be passed to engine CSV reader.